View Issue Details

IDProjectCategoryView StatusLast Update
0006015Talermechant backendpublic2021-09-02 18:23
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.7.0Fixed in Version0.7.0 
Summary0006015: merchants backend happily accepts amounts with wrong currency from frontends
DescriptionThe merchant backend should properly check the validity of the contract terms given to it by the frontends.

Currently the merchant backend accepts arbitrary currencies for the "amount" field. Only later, when checking the payment status, an error is reported.
TagsNo tags attached.

Activities

Christian Grothoff

2020-01-09 12:23

manager   ~0015258

Fixed in 7202823..adfd806

Christian Grothoff

2021-09-02 18:14

manager   ~0018272

Fix committed to master branch.

Christian Grothoff

2021-09-02 18:23

manager   ~0018384

Fix committed to master branch.

Related Changesets

merchant: master adfd8066

2020-01-09 12:18:46

Christian Grothoff

Details Diff
fix 0006015 Affected Issues
0006015
mod - src/backend/taler-merchant-httpd_order.c Diff File

exchange: master 59b12d2d

2020-01-09 12:18:56

Christian Grothoff

Details Diff
fix 0006015 Affected Issues
0006015
mod - src/include/taler_error_codes.h Diff File

Issue History

Date Modified Username Field Change
2019-12-25 19:20 Florian Dold New Issue
2019-12-25 19:20 Florian Dold Status new => assigned
2019-12-25 19:20 Florian Dold Assigned To => Christian Grothoff
2020-01-09 12:23 Christian Grothoff Status assigned => resolved
2020-01-09 12:23 Christian Grothoff Resolution open => fixed
2020-01-09 12:23 Christian Grothoff Fixed in Version => 0.7.0
2020-01-09 12:23 Christian Grothoff Note Added: 0015258
2020-01-09 12:23 Christian Grothoff Product Version => git (master)
2020-03-31 16:04 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 59b12d2d
2021-09-02 18:14 Christian Grothoff Note Added: 0018272
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master adfd8066
2021-09-02 18:23 Christian Grothoff Note Added: 0018384